# HostGuestBindingAffinity

class `openff.evaluator.properties.``HostGuestBindingAffinity`(thermodynamic_state=None, phase=<PropertyPhase >, substance=None, value=None, uncertainty=None, source=None)

  A class representation of a host-guest binding affinity property

  `__init__`(thermodynamic_state=None, phase=<PropertyPhase >, substance=None, value=None, uncertainty=None, source=None)

    Constructs a new PhysicalProperty object.

    Parameters

      - thermodynamic_state (ThermodynamicState) – The thermodynamic state that the property was measured in.

      - phase (PropertyPhase) – The phase that the property was measured in.

      - substance (Substance) – The composition of the substance that was measured.

      - value (pint.Quantity) – The value of the measured physical property.

      - uncertainty (pint.Quantity) – The uncertainty in the measured value.

      - source (Source) – The source of this property.

  Methods

  `__init__`([thermodynamic_state, phase, …]) | Constructs a new PhysicalProperty object.
  `default_simulation_schema`([existing_schema]) | Returns the default calculation schema to use when estimating this class of property from direct simulations.
  `default_unit`() | pint.Unit: The default unit (e.g.
  `from_json`(file_path) | Create this object from a JSON file.
  `get_attributes`([attribute_type]) | Returns all attributes of a specific attribute_type.
  `json`([file_path, format]) | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.
  `validate`([attribute_type]) | Validate the values of the attributes.

  Attributes

  `gradients` | The gradients of this property with respect to different force field parameters.
  `id` | A unique identifier string assigned to this property
  `metadata` | Additional metadata associated with this property.
  `phase` | The phase / phases that this property was measured in.
  `source` | The original source of this physical property.
  `substance` | The substance that this property was measured estimated for.
  `thermodynamic_state` | The thermodynamic state that this propertywas measured / estimated at.
  `uncertainty` | The uncertainty in measured / estimated value of this property.
  `value` | The measured / estimated value of this property.

  classmethod `default_unit`()

    pint.Unit: The default unit (e.g. g / mol) associated with this class of property.

  static `default_simulation_schema`(existing_schema=None)

    Returns the default calculation schema to use when estimating this class of property from direct simulations.

    Parameters

      existing_schema (SimulationSchema , optional) – An existing schema whose settings to use. If set, the schema’s workflow_schema will be overwritten by this method.

    Returns

      The schema to follow when estimating this property.

    Return type

      SimulationSchema

  classmethod `from_json`(file_path)

    Create this object from a JSON file.

    Parameters

      file_path (str) – The path to load the JSON from.

    Returns

      The parsed class.

    Return type

      cls

  classmethod `get_attributes`(attribute_type=None)

    Returns all attributes of a specific attribute_type.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to search for.

    Returns

      The names of the attributes of the specified type.

    Return type

      list of str

  `gradients`

    The gradients of this property with respect to different force field parameters. The default value of this attribute is not set. This attribute is optional.

    Type

      list

  `id`

    A unique identifier string assigned to this property

    Type

      str

  `json`(file_path=None, format=False)

    Creates a JSON representation of this class.

    Parameters

      - file_path (str , optional) – The (optional) file path to save the JSON file to.

      - format (bool) – Whether to format the JSON or not.

    Returns

      The JSON representation of this class.

    Return type

      str

  `metadata`

    Additional metadata associated with this property. All property metadata will be made accessible to estimation workflows. The default value of this attribute is not set. This attribute is optional.

    Type

      dict

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any

  `phase`

    The phase / phases that this property was measured in. The default value of this attribute is not set and must be set by the user..

    Type

      PropertyPhase

  `source`

    The original source of this physical property. The default value of this attribute is not set. This attribute is optional.

    Type

      Source

  `substance`

    The substance that this property was measured estimated for. The default value of this attribute is not set and must be set by the user..

    Type

      Substance

  `thermodynamic_state`

    The thermodynamic state that this propertywas measured / estimated at. The default value of this attribute is not set and must be set by the user..

    Type

      ThermodynamicState

  `uncertainty`

    The uncertainty in measured / estimated value of this property. The default value of this attribute is not set. This attribute is optional.

    Type

      Quantity

  `validate`(attribute_type=None)

    Validate the values of the attributes. If attribute_type is set, only attributes of that type will be validated.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to validate.

    Raises

      ValueError or AssertionError –

  `value`

    The measured / estimated value of this property. The default value of this attribute is not set and must be set by the user..

    Type

      Quantity